#include "common.hpp"
#include "demo01.hpp"
#include "demo_gpu_particles.h"
#include "demo_fire.h"
#include "demo_shadow.h"
#include "demo_abgabe1.h"
#include "model_test.h"
#include "demo_normal_mapping.h"
#include "music_test.h"


int main()
{
	{
	//demo01 d;
	//demo_fire d;
	//model_test m;
	//music_test m;
	//demo_shadow d;
	demo_abgabe1 d;
	//demo_normal_mapping d;
	//demo_base d;
	
	if (d.init())
	{
		d.run();
	}
	else
	{
		std::cout << "failed to init!\n";
	}

	std::cout << "done!\n";


	
	//if(m.init())
	//{
	//
	//}
	//else
	//{
	//	std::cout << "init failed!" << std::endl;
	//}



	}

	glfwTerminate();
	return 0;
}